org.apache.sysds.runtime.compress.estim.sample

## Class SampleEstimatorFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.sample.SampleEstimatorFactory

    public class SampleEstimatorFactory
    extends Object

### Nested Class Summary

Nested Classes
`static class` `SampleEstimatorFactory.EstimationType`

### Constructor Summary

Constructors
Constructor and Description
`SampleEstimatorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `distinctCount(int[] frequencies, int nRows, int sampleSize, SampleEstimatorFactory.EstimationType type, HashMap<Integer,Double> solveCache)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SampleEstimatorFactory

    public SampleEstimatorFactory()

### Method Detail

#### distinctCount

    public static int distinctCount(int[] frequencies,
                                    int nRows,
                                    int sampleSize,
                                    SampleEstimatorFactory.EstimationType type,
                                    HashMap<Integer,Double> solveCache)